using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.Exam
{
    /// <summary>
    /// 学员考试状态
    /// </summary>
    public enum ExamTestStatusEnum
    {
        /// <summary>
        /// 未开始
        /// </summary>
        [EnumField("未开始")]
        NotStarted = 1,

        /// <summary>
        /// 已开始
        /// </summary>
        [EnumField("已开始")]
        FinishStarted = 2,

        /// <summary>
        /// 已考试
        /// </summary>
        [EnumField("已考试")]
        FinishTest = 3,

        /// <summary>
        /// 缺考
        /// </summary>
        [EnumField("缺考")]
        MissedTest = 4,

        /// <summary>
        /// 已阅卷
        /// </summary>
        [EnumField("已阅卷")]
        FinishScoring = 5,
    }
}
